rr1107

ARMA 2 Reinforcements Patch "Wrong CD Key"

24 posts in this topic

I am new to ARMA 2, and I have purchased ARMA 2 "Combined Operations" and "Reinforcements" (physical DVD versions) from Amazon.com, which arrived yesterday. After installing, I attempted to patch using the 1.59 patch. The patcher updates ARMA 2 to version 1.09 and updates OA to version 1.59, but when it begins to patch the BAF and PMC add-ons, I receive a "Wrong CD Key" error. I tried to patch using the individual patchers for BAF and PMC as well, and received the same error message. I have tried uninstalling everything and reinstalling and receive the same error. Any help on this would be appreciated.

Edited by rr1107

Share this post


Link to post
Share on other sites

The "Install BAF and PFC Only" button on the launcher worked correctly, so my understanding is that I don't need to try that. That being said, for one of the installs I did, I tried that method to install and it gave an error message about not being able to find D:\Setup.exe or something similar.

Share this post


Link to post
Share on other sites

Yes, I have tried complete uninstall, CCleaner, and reinstall. Same problems. The most recent Install I did the following: Uninstall EVERYTHING (BAF and PMC, Operation Arrowhead, ARMA2 Base game, BattlEye), restart computer, Run CCleaner, Restart Computer, Install "Combined Operations" Disc 1 (ARMA2 Base game) then install "Combined Operations" Disc 2 (Operation Arrowhead/Combined Operations) then started up the game to make sure everything worked, exited the game, ran patcher 1.59 (Updates ARMA2 to version 1.09 and Combined Operations to Version 1.59) Then began installing the "Reinforcements" DVD. When using the DLCs installer from the patch page, I still get the error "Unable to Find D:\DLSs\Setup.dat" although the file is on the DVD in the correct location. So I reinstalled using the "Install Only BAF and PMC" button, which puts the DLC in the correct location "C:\Program Files\Bohemia Interactive\Arma 2" and I am able to view the DLSs just fine through "Combined Operations" and play them. Then attempted to run the individual patchers for BAF 1.02 and PMC 1.01, both report "Wrong CD Key" Then attempted to re-run patch 1.59, which recognizes that ARMA 2 is already patched to 1.09 and AMRA 2 Combined Operations is already patched to version 1.59, then reports 2 "Wrong CD Key" errors when attempting to update BAF and PMC. Would really appreciate some help on this problem.

Share this post


Link to post
Share on other sites

This is what i did :

-installed A2 in the default location set by the installer (C:\Program Files\Bohemia Interactive\Arma 2)

-patched arma 2 to 1.10 - patch 1.09 is outdated

-installed A2 OA in the same location as A2

-patched A2 OA to 1.59

-installed BAF & PMC

-patched respectively to 1.02 & 1.01 (check the patchs BAF patch 1.02 should be 5252ko & PMC 1.01 should be 19084 ko - download them from a reliable source e.g : the official website) running the patchs installer as administrator might help... or not

Hope a dev. or an advanced user will jump here to help you.

Edited by jibemorel

Share this post


Link to post
Share on other sites
This is what i did :

-installed A2 in the default location set by the installer (C:\Program Files\Bohemia Interactive\Arma 2)

-patched arma 2 to 1.10 - patch 1.09 is outdated

-installed A2 OA in the same location as A2

-patched A2 OA to 1.59

-installed BAF & PMC

-patched respectively to 1.02 & 1.01 (check the patchs BAF patch 1.02 should be 5252ko & PMC 1.01 should be 19084 ko - download them from a reliable source e.g : the official website) running the patchs installer as administrator might help... or not

Hope a dev. or an advanced user will jump here to help you.

I was going to suggest this also. When I did a re-install recently I got errors when I installed Arma 2 then OA then patched. I had to un-install, clean registry, install arma 2, patch it, install OA and patch it...no errors then and everything ran great.

Share this post


Link to post
Share on other sites

I'm suspecting it is some kind of problem with SecuRom, because the SecuRom Diag. tool does not show any information for AMRA2 at all except for an entry under "Licenses" for the "Install From Disc" tool that has an entry that says "No Information Available." I have had this problem for almost a week now, and it hasn't been resolved by Bohemia or SecuRom (who I have also emailed about this issue) and I am getting a bit agitated.

Edited by rr1107

Share this post


Link to post
Share on other sites
I'm suspecting it is some kind of problem with SecuRom, because the SecuRom Diag. tool does not show any information for AMRA2 at all except for an entry under "Licenses" for the "Install From Disc" tool that has an entry that says "No Information Available." I have had this problem for almost a week now, and it hasn't been resolved by Bohemia or SecuRom (who I have also emailed about this issue) and I am getting a bit agitated.

That or maybe you have an intrusive antivirus which doesn't like the patches executable. Did you try to disable it before patching ?

Share this post


Link to post
Share on other sites

I got both combined ops and reinforcements from Amazon.

I un-installed everything, cleaned registry and installed in this order;

ARMA 2 - then patched to 1.10

ARMA OA

Reinforcements

Then applied the OA&RFT 1.59 patch.

#1 ARMA cried that it's version was newer than the patch.ok

#2 OA patched to 1.59.ok

#3 Both the BAF and PMC patch stopped with "WRONG CD KEY"

---------- Post added at 01:10 AM ---------- Previous post was at 12:49 AM ----------

Yes, I have tried complete uninstall, CCleaner, and reinstall. Same problems. The most recent Install I did the following: Uninstall EVERYTHING (BAF and PMC, Operation Arrowhead, ARMA2 Base game, BattlEye), restart computer, Run CCleaner, Restart Computer, Install "Combined Operations" Disc 1 (ARMA2 Base game) then install "Combined Operations" Disc 2 (Operation Arrowhead/Combined Operations) then started up the game to make sure everything worked, exited the game, ran patcher 1.59 (Updates ARMA2 to version 1.09 and Combined Operations to Version 1.59) Then began installing the "Reinforcements" DVD. When using the DLCs installer from the patch page, I still get the error "Unable to Find D:\DLSs\Setup.dat" although the file is on the DVD in the correct location. So I reinstalled using the "Install Only BAF and PMC" button, which puts the DLC in the correct location "C:\Program Files\Bohemia Interactive\Arma 2" and I am able to view the DLSs just fine through "Combined Operations" and play them. Then attempted to run the individual patchers for BAF 1.02 and PMC 1.01, both report "Wrong CD Key" Then attempted to re-run patch 1.59, which recognizes that ARMA 2 is already patched to 1.09 and AMRA 2 Combined Operations is already patched to version 1.59, then reports 2 "Wrong CD Key" errors when attempting to update BAF and PMC. Would really appreciate some help on this problem.

I did this same exact thing, followed all the suggestions in this thread and get the exact same results. HELP?

---------- Post added at 02:29 AM ---------- Previous post was at 01:10 AM ----------

OK, re-instaled everything again, which takes forever BTW.

Installed ARMA 2

Patched to 1.10

Installed ARMA 2 OA

Patched to 1.59

Installed the Reinforcements DVD

and..same thing "WRONG CD KEY"

Tried the securom diags, etc.

I have been through the ringer on this one, I love the game, was able to play through the singleplayer campaigns but I will say I HAVE NEVER seen such a convoluted and confusing system of updates and patching as I am experiencing in this game!

I have opened a support ticket.

Edited by Sabo

Share this post


Link to post
Share on other sites

Hmm, I have emailed support twice now, no response.

Seriously, NO-ONE else except RR and myself are the ones with this issue?

No-one else gets the "WRONG CD KEY" error?

---------- Post added at 05:24 PM ---------- Previous post was at 05:16 PM ----------

I have emailed support 3 times now and each time I noticed that when I check the box to send a copy of the email to myself I never get it.

This leads me to believe the support email ticket system is not working.

Where else can I turn to verify my CD keys and get support?

Hello, BIS!???

Edited by Sabo

Share this post


Link to post
Share on other sites

what support email You used ?

what's first part of Your email/subject and from what network ?

Edited by Dwarden

Share this post


Link to post
Share on other sites

I clicked the support link at the top of this page and navigated to the Reinforcements image and filled out the form and clicked send and also send a copy to myself 3 times over a course of the last few days.

I didn't get a copy so I assume it didn't work, also no response from support so, yea.

The subject should be something like "Reinforcements patch "Wrong CD Key"

Thanks for the response!

Edited by Sabo

Share this post


Link to post
Share on other sites

write email to support a_t bistudio.com

Share this post


Link to post
Share on other sites

I'm getting this error too, but I'm getting it when I try to update OA to 1.59 in order to run the special utility to install PMC and BAF from the DVD because it won't work otherwise.

I'm tired already to have to uninstall everything AGAIN. I had 30gbs of addons and everything worked great with ARMA2 and ARMA2:OA... now my addons are gone, my campaigns too, and I can't even install the game anymore.

---------- Post added at 08:47 PM ---------- Previous post was at 08:43 PM ----------

having to make a "support request" for an issue that tons of people are having is insulting. Yes, they know about the problem, that's why they made that utility to fix the install from their broken DVD. We, the loyal customers who bought not one, not two, but THREE of their games (not to mention all the ones for ARMA1), and here, on the official forums, we don't get any help. I've spent a full day trying to work this out. Worst thing is that before I bought reinforcements, AT LEAST I had ARMA2:OA and could play in the servers. Now, I can't even install the game anymore because it either comes up with a !!! MISSING STRING error when trying to use their utility, or the DVD hangs when you try to use the dvd by itself, or I get a WRONG KEY error when trying to update OA to 1.59

Share this post


Link to post
Share on other sites

Is there a resolution to this, yet? it is evident that I have the correct CD key because RFT installed just fine and the content is available within Combined Ops, now. However, this inability to patch is a little frustrating. Perhaps the CD version is already patched appropriately but i can find no version information for BAF/PMC within the directory structure of the application.

Share this post


Link to post
Share on other sites

5 days? Please BI, this isnt an unknown or uncommon issue and if there is a resolution it has evaded my meager search skills.

I have submitted to email tech support without answer there, either.

Great game but it gets overshadowed by customer frustration.

Heck, for all I know, the CD version I have purchased is already patched... but I do not know. There is no indication in game or in a text file of either mods directory.

Help, please!

Share this post


Link to post
Share on other sites

Hi, as others have said on this thread, I have the exact same problem.

I bought my ARMA II Combined Operations from Amazon and ARMA II Reinforcements from bestbuy. I installed ARMA II/OA and then patched it with 1.59 and then 1.10 for the original ARMA II. Then I installed ARMA II Reinforcements and tried to apply the 1.59 patch again because it is supposed to also patch ARMA II Reinforcements PMC/BAF but it did not work. I also tried running the individual patches from the official site (downloaded from gamefront mirror) and they also failed.

Please help!

Share this post


Link to post
Share on other sites

First you install Arma 2, if the Arma 2 version you bought is 1.04 or lower apply Arma 2 patch 1.05.

Now, install OA.

Than, you install both Arma 2: BAF and Arma 2: Private Military Company.

And than you apply Arma 2: OA patch 1.59 and than Arma 2 patch 1.10.

Sometimes a wierd issue comes up with the PMC ammobox in MP, where you do not see it while others can. If you experience this apply the PMC patch 1.01.

More info and links to all of the above listed patches are here:

http://www.armaholic.com/plug.php?e=faq&q=12

Read the provided info, it should all be very clear :)

Share this post


Link to post
Share on other sites

So if my weary eyes read this correctly... 1.59 takes care of BAF and PMC without any need for further patching?

Great.... I just wiped my install to start from scratch to find out that I am.... well, WAS... just fine to begin with and that these patches are unnecessary.

Never do this stuff while suffering from insomnia.

Share this post


Link to post
Share on other sites

Please sign in to comment

You will be able to leave a comment after signing in



Sign In Now